<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Dictionary</title>
    <link rel="stylesheet" type="text/css"
          th:href="@{/css/main.css}"/>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta2/css/all.min.css">
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
</head>
<body>
<header>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <a class="navbar-brand" href="/">Dictionary</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor01"
                aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarColor01">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="#">Danh sách từ<span class="sr-only">(current)</span></a>
                </li>
            </ul>
        </div>
    </nav>
</header>

<article>
    <div class="container">
        <h2 th:text="${isInsert == true ? 'Thêm Mới Từ' : 'Sửa Từ'}"></h2>
        <p style="color: red" th:text="${errorMessage.message}"></p>
        <form method="post" th:action="${isInsert == true} ? @{'/dictionary/register/confirm/'} : @{'/dictionary/edit/confirm/'}" th:object="${detailForm}" enctype="multipart/form-data">
            <section id="contents">
                <table class="table">
                    <input hidden="hidden" th:field="*{word.id}" type="text"/>
                    <tr>
                        <th style="width: 60px;"><span class="label-pink">*</span></th>
                        <th>Từ gốc</th>
                        <td colspan="3"><input th:field="*{word.wordTarget}" type="text"/></td>
                    </tr>
                    <tr>
                        <th style="width: 60px;"><span class="label-pink">*</span></th>
                        <th>Phiên âm</th>
                        <td colspan="3"><input th:field="*{word.spelling}" type="text"/></td>
                    </tr>
                    <tr>
                        <th style="width: 60px;"><span class="label-pink">*</span></th>
                        <th>Giải nghĩa Từ</th>
                        <td colspan="3"><input th:field="*{word.wordExplain}" type="text"/></td>
                    </tr>

                    <tr>
                        <th style="width: 60px;"><span class="label-pink">*</span></th>
                        <th>Loại từ</th>
                        <td colspan="3"><input th:field="*{word.wordType}" type="text"/></td>
                    </tr>

                </table>
            </section>
            <div class="btn-set">
                <input onclick="location.href='/dictionary/list'" type="button" class="btn btn-default" th:value="Back"/>
                <input type="submit" class="btn btn-primary" th:value="${isInsert == true} ? 'Thêm' : 'Sửa'"/>
            </div>
        </form>
    </div>
</article>

</body>

</html>
